mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.RC2 System.Runtime.InteropServices.ComVisible(true)

The implementation supports key lengths from 40 bits to 128 bits in increments of 8 bits.

The object is a block cipher that encrypts and decrypts data in blocks of 8 bytes. This class pads the final block of data if it is less than 8 bytes. As a result of this padding, the length of encrypted data could be greater than the original plaintext.

Note that the object does not use salt.

A newer symmetric encryption algorithm, Advanced Encryption Standard (AES), is available. Consider using the algorithm and its derived classes instead of the class. Use only for compatibility with legacy applications and data.

Defines a wrapper object to access the cryptographic service provider (CSP) implementation of the algorithm. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.ICryptoTransform `` ``

  This method is used to decrypt an encrypted message created using the overload with the same parameters.

  Creates a symmetric decryptor object with the specified key ()and initialization vector ().

  A symmetric decryptor object.

  The secret key to use for the symmetric algorithm. The initialization vector to use for the symmetric algorithm.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.ICryptoTransform `` ``

  Use the overload with the same parameters to decrypt the result of this method.

  Creates a symmetric encryptor object with the specified key () and initialization vector ().

  A symmetric encryptor object.

  The secret key to use for the symmetric algorithm. The initialization vector to use for the symmetric algorithm.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets or sets the effective size, in bits, of the secret key used by the algorithm.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Use this method to generate a random when none is specified.

  Generates a random initialization vector () to use for the algorithm.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Use this method to generate a random key when none is specified.

  The implementation supports key lengths from 40 bits to 128 bits in increments of 8 bits.

  Generates a random key () to be used for the algorithm.

- Property
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Boolean To be added.

  The property allows you to interoperate with an existing application that uses an 11-byte-long, zero-value salt. For most scenarios, you should not use a salt with an key.

  Gets or sets a value that determines whether to create a key with an 11-byte-long, zero-value salt.